DELUSER(8)

NOMBRE
deluser, delgroup - Elimina un usuario o grupo del sistema

SINOPSIS
deluser [opciones] [--force] [--remove-home] [--remove-all-files] [--backup] [--backup-to DIRECTORIO] usuario

deluser --group [opciones] grupo
delgroup [opciones] [--only-if-empty] grupo

deluser [opciones] usuario grupo

  OPCIONES COMUNES
[--quiet] [--system] [[--help] [--version] [--conf FICHERO]

DESCRIPCIÓN

deluser y delgroup eliminan usuarios y grupos del sistema de acuerdo a las opciones en línea de órdenes y a la configuración en /etc/deluser.conf y /etc/adduser.conf. Proporcionan una interfaz más sencilla para los programas userdel y groupdel, eliminado opcionalmente el directorio personal o incluso todos los ficheros del sistema pertenecientes al usuario, ejecutar un script personalizado, y otras características. deluser y delgroup pueden ejecutarse de tres maneras:

  Eliminar un usuario normal
Si se invoca con un argumento que no es ninguna opción y sin la opción --group, deluser eliminará un usuario normal. Por omisión, deluser eliminará el usuario, pero no su directorio personal ni su directorio de cola de correo (n.t. mail spool) o cualquier otro fichero del sistema perteneciente al usuario. Puede usar la opción --remove-home para eliminar el directorio personal y de cola de correo. La opción --remove-all-files elimina todos los ficheros pertenecientes al usuario en el sistema. Tenga en cuenta que si activa ambas opciones --remove-home no tiene ningún efecto porque --remove-all-files es una opción más general. Si quiere hacer una copia de seguridad de todos los ficheros antes de eliminarlos use la opción --backup que creará un fichero nombreusuario.tar (.gz|.bz2) en el directorio especificado por la opción --backup-to (el directorio de trabajo actual de forma predeterminada). Ambas opciones, la de eliminación y la de copias de seguridad se pueden especificar como predeterminadas en el fichero «/etc/deluser.conf». Consulte deluser.conf(5) para más detalles. Si desea eliminar la cuenta del usuario «root» (UID 0), use el parámetro --force; esto puede evitar la eliminación accidental del usuario «root». Si existe el fichero /usr/local/sbin/deluser.local, este se ejecutará después de eliminar la cuenta de usuario de forma que se pueda realizar algún ajuste local. Los argumentos que se pasan a deluser.local son:
nombre-usuario UID GID directorio-personal

  Eliminar un grupo
Si se invoca deluser con la opción --group , o se invoca delgroup, se eliminará un grupo. Advertencia: No se puede eliminar el grupo primario de un usuario existente. Si se usa la opción --only-if-empty, el grupo no se elimina en caso de que todavía tenga algún miembro.

  Elimina un usuario de un grupo específico
Si se invoca con dos argumentos que no sean opciones, deluser eliminará el usuario del grupo especificado.

OPCIONES

--conf FICHERO
    Usa FICHERO en lugar de los ficheros predeterminados /etc/deluser.conf y /etc/adduser.conf.

--group
    Elimina un grupo. La opción predeterminada si se invoca como delgroup.

--help
    Muestra unas instrucciones breves.

--quiet
    Suprime mensajes indicadores de progreso.

--system
    Sólo elimina si el usuario/grupo es un usuario/grupo del sistema. Esto evita borrar accidentalmente usuarios/grupos que no sean del sistema. Además, si el usuario no existe, no se devuelve ningún valor de error. Esta opción está diseñado para su uso en los scripts de desarrollador de paquetes de Debian.

--only-if-empty
    Only remove if no members are left.

--backup
    Crea una copia de respaldo de todos los ficheros contenidos en el directorio personal del usuario y el fichero de cola de correo a un fichero llamado «/$user.tar.bz2» o «/$user.tar.gz».

--backup-to
    No ubica las copias de respaldo en «/», sino en el directorio definido por este parámetro. Define «--backup» de forma implícita.

--remove-home
    Elimina el directorio personal del usuario y su cola de correo. Si se define «--backup», los ficheros se eliminarán después de realizar la copia de respaldo.

--remove-all-files
    Elimina todos los ficheros del sistema propiedad de este usuario. Nota: «remove-home» ya no tiene efecto. Si se define «--backup», se eliminarán los ficheros después de realizar la copia de respaldo.

--version
    Muestra la versión e información acerca del copyright.

VALOR DE SALIDA

0   La acción se ha ejecutado correctamente.

1   El usuario a eliminar no es una cuenta del sistema. No se ha realizado ninguna acción.

2   El usuario no existe. No se ha realizado ninguna acción.

3   El grupo no existe. No se ha realizado ninguna acción.

4   Se ha detectado un error interno. No se ha realizado ninguna acción.

5   El grupo a eliminar no está vacío. No se ha realizado ninguna acción.

6   El usuario no pertenece al grupo especificado. No se ha realizado ninguna acción.

7   No puede eliminar un usuario de su grupo primario. No se ha realizado ninguna acción.

8   El paquete requerido perl no está instalado. Este paquete es necesario para realizar las acciones solicitadas. No se ha realizado ninguna acción.

9   Se requiere el parámetro «--force» para eliminar la cuenta del usuario «root». No se ha realizado ninguna acción.

FICHEROS
/etc/deluser.conf Default configuration file for deluser and delgroup

/usr/local/sbin/deluser.local
    Optional custom add-ons.

VÉASE TAMBIÉN
adduser(8), deluser.conf(5), groupdel(8), userdel(8)

TRADUCTOR
Traducción de Rubén Porras Campo <debian-l10n-spanish@lists.debian.org> adduser.8 et .5.conf a la fin

COPYRIGHT
Copyright (C) 2000 Roland Bauerschmidt. Modificaciones (C) 2004 Marc Haber y Joerg Hoh. Esta página de manual y el programa deluser se basan en adduser, el cual es:
Copyright (C) 1997, 1998, 1999 Guy Maor.
Copyright (C) 1995 Ted Hajek, con una gran aportación del adduser original de Debian
Copyright (C) 1994 Ian Murdock. adduser es software libre; lea la Licencia Pública General de GNU versión 2 o posterior para las condiciones de copia. No hay garantía.